Name:           lv2-triceratops
Version:        0.1.2
Release:        1%{?dist}
Summary:        An LV2 polyphonic synthesizer

Group:          Applications/Multimedia
# license specified in headers and in plugin manifest (triceratops.ttl) is ISC
# http://opensource.org/licenses/isc
License:        ISC
URL:            http://sourceforge.net/projects/triceratops/
Source0:        http://downloads.sourceforge.net/project/triceratops/triceratops-lv2-v%{version}.tar.gz
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libsndfile-devel
BuildRequires:  lv2-devel
BuildRequires:  gtkmm24-devel
BuildRequires:  python
Requires:       lv2

%description
Triceratops a polyphonic subtractive synthesizer plugin for use with the LV2 
architecture, there is no standalone version and LV2 is required along 
with a suitable host (e.g. Jalv, Zynjacku, Ardour, Qtractor). 

%prep
%setup -q -n triceratops-lv2-v%{version}
# this is a bug in the installer script - however -finline-functions is necessary here
# https://sourceforge.net/p/triceratops/featurerequests/3/
sed -i -e "s|-lX11'],'-finline-functions'|-lX11','-finline-functions']|" wscript

%build
export CXXFLAGS="%optflags"
./waf configure -vv --prefix=%{_prefix} \
    --libdir=%{_libdir} --lv2dir=%{_libdir}/lv2
./waf -vv %{?_smp_mflags}

%install
./waf install --destdir=%{buildroot}
rm  -rf %{buildroot}%{_libdir}/lv2/triceratops-presets.lv2/.directory

%files
# do not include COPYING - it is GPLV3 where the project is clearly ISC
# https://sourceforge.net/p/triceratops/featurerequests/4/
%doc README COPYING RELEASE
%{_libdir}/lv2/triceratops.lv2
%{_libdir}/lv2/triceratops-presets.lv2

%changelog
* Tue Jan 15 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.1.2-1
- New upstream release
- Remove patches
- Fix wscript bug

* Tue Dec 18 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.1.1-2.d
- Correct install directory patch

* Mon Dec 17 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.1.1-1.d
- Initial development
